
Foreman - Bug #6236

Host create and update is missing documentation for setting organization and location.

06/16/2014 10:45 AM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category: API   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1153034 Red Hat JIRA:  

Pull request:    

Description

Both actions should have options for assigning host to an organization and a location.

hammer host create --organization=... --location=...

hammer host create --organization-id=... --location-id=...

Related issues:

Has duplicate Hammer CLI - Bug #4591: Hammer doesn't allow specify a location... Duplicate 03/07/2014

Blocked by Foreman - Bug #6430: validation presence of location and organizat... Closed 06/29/2014

Blocks Hammer CLI - Bug #6796: Host create and update is missing parameters f... Rejected 06/16/2014

Associated revisions

Revision 1c98ceae - 07/28/2014 10:08 AM - Joseph Magen

Fixes #6236 - add taxonomy parameters to host API v2 create/update documentation

History

#1 - 07/23/2014 01:23 PM - Dominic Cleal

- Related to Bug #5088: organization and location options missing from hammer commands added

#2 - 07/23/2014 01:24 PM - Dominic Cleal

- Blocked by Bug #6430: validation presence of location and organization for host if Settings are turned on added

#3 - 07/28/2014 10:14 AM - Dominic Cleal

- Project changed from Hammer CLI to Foreman

- Subject changed from Host create and update is missing parameters for setting organization and location. to Host create and update is missing

documentation for setting organization and location.

- Category changed from Foreman commands (obsolete) to API

- Status changed from New to Ready For Testing

- Assignee set to Joseph Magen

- Target version set to 1.8.0

- translation missing: en.field_release set to 10

Being fixed via #6430's PR, separate commit.

#4 - 07/28/2014 10:14 AM - Dominic Cleal

- Copied to Bug #6796: Host create and update is missing parameters for setting organization and location. added

#5 - 07/28/2014 10:15 AM - Dominic Cleal

- Related to deleted (Bug #5088: organization and location options missing from hammer commands)
#6 - 07/28/2014 10:15 AM - Dominic Cleal

- Copied to deleted (Bug #6796: Host create and update is missing parameters for setting organization and location.)

#7 - 07/28/2014 10:15 AM - Dominic Cleal

- Blocks Bug #6796: Host create and update is missing parameters for setting organization and location. added

#8 - 07/28/2014 11:01 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1c98ceae06f5c6192079007447a0abf3589a0d62.

#9 - 10/16/2014 09:29 AM - Dominic Cleal

- Bugzilla link set to 1153034

#10 - 10/21/2014 04:11 AM - Dominic Cleal

- Has duplicate Bug #4591: Hammer doesn't allow specify a location when creating a host added

#11 - 02/06/2015 04:39 AM - Anonymous

Spam deleted by administrator.
